%define  upstream_name PHP_TokenStream
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: 	PEAR: Wrapper around PHP's tokenizer extension
Name: 		php-pear-%{upstream_name}
Version:	1.2.1
Release: 	%mkrel 2
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.phpunit.de/get/%{upstream_name}-%{version}.tgz
URL: 		http://pear.phpunit.de/package/PHP_TokenStream
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-channel-phpunit
Requires: 	php-channel-phpunit
BuildArch: 	noarch
Obsoletes:	PHP_TokenStream

%description
Wrapper around PHP's tokenizer extension.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_TokenStream.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_TokenStream.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHP_TokenStream
fi

%files
%doc docs/PHP_TokenStream/*
%{peardir}/*
%{xmldir}/PHP_TokenStream.xml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 538636
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 1.2.1-1.mga4
+ Revision: 490135
- upgrade to vers. 1.2.1

* Wed Aug 14 2013 spuhler <spuhler> 1.2.0-1.mga4
+ Revision: 466468
- upgrade to ver 1.2.0

* Mon Jun 03 2013 spuhler <spuhler> 1.1.5-2.mga4
+ Revision: 436782
- corrected the name that slipped through
- added Obsoletes: PHP_TokenStream
- upgrade to ver. 1.1.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 377215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 27 2012 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 215516
- update to 1.1.3

* Fri Feb 10 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 206762
- upgrade to 1.1.2

* Mon Nov 14 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 167467
- upgrade to 1.1.1

* Sun Jul 17 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 125490
- increased rel to 2
  changed -Requires: ConsoleTools >= 1.6 to Requires:	ezcomponents-ConsoleTools >= 1.6

* Mon Jul 11 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 122049
- imported package php-pear-PHP_TokenStream

